// Name        : Lesson 02 - Double Side Plane / Урок 02 - Двухсторонняя плоскость
// Version     : 19 dec 2012
// Author      : LODka3D
// Discription : Урок 02 создания двухсторонней плоскости вызовом функции 
//                находящейся во внешнем файла.
//

{$I 'func-demo1.dws'} // Включаем файл 'func-demo1.dws' в этот скрипт.
// {$INCLUDE 'func-demo1.dws'}  // $INCLUDE - тоже самое, что и $I.

  // Функция в которой в ЛОДку добавляются примитивы.
procedure LODPCreatePrimitive;
begin
    // Пишем текст в окошко на закладке примитивов в ЛОДке.
    //  #13#10 - перевод строки. 
  LOD('SetPMessage', 'Lesson 02 - Plane double.' +#13#10);

    // Вызываем функцию AddPlaneDouble из файла 'func-demo1.dws', 
    //  которая и создаёт плоскость.
  AddPlaneDouble; 

    // Добавляем строчу текста в окошко на закладке примитивов в ЛОДке.
  LOD('AddPMessage', 'Added 4 points, 4 tx.coord, 4 faces.' +#13#10);

  {
  var s1 : string;
    // Попросить ввести строку текста.
  s1 := InputBox('Caption', 'Enter something:', 'Default text');
    // Показать сообщение.
  ShowMessage('Your message:' +#13#10 +s1);
  }
end;
